import Category


class Database:
	
	def __init__(self, name):
		self.category_list = []
		self.name = name
		
		
	def get_name(self):
		return self.name
	
	
	def set_name(self, name):
		self.name = name
		
	
	def to_string(self):
		print self.name
		for cat in self.category_list:
			cat.to_string()

	
	
	def category_add(self, name):
		if not self.category_present(name):
			cat = Category.Category(name)
			self.category_list.append(cat)
	
	
	def category_delete(self, name):
		if self.category_present(name):
			self.category_list.remove(self.category_select(name))
	
	
	def category_present(self, name):
		for cat in self.category_list:
			if cat.get_name() == name:
				return True
		return False

	
	def category_select(self, name):
		for cat in self.category_list:
			if cat.get_name() == name:
				return cat
		return False
		
		
	def category_list(self):
		return self.category_list
	
	